### Method

# AppStream Metadata set_locale

#### Declaration [src]

    void
    as_metadata_set_locale (
      AsMetadata* metad,
      const gchar* locale
    )

#### Description [src]

Sets the locale which should be read when processing metadata. All other locales are ignored, which increases parsing speed and reduces memory usage. If you set the locale to “ALL”, all locales will be read.

#### Parameters

`locale`

  Type: `const gchar*`

  The BCP47 locale.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.